Get a project revenue recognition entry
curl --request GET \
--url https://www.ruddr.io/api/workspace/project-revenue-recognition-entries/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/project-revenue-recognition-entries/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/project-revenue-recognition-entries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/project-revenue-recognition-entries/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/project-revenue-recognition-entries/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/project-revenue-recognition-entries/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/project-revenue-recognition-entries/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "a1d83f29-7c04-4b6e-95e2-f8b0c3d17a54",
"date": "2026-02-10",
"amount": 12500,
"notes": "Q1 milestone recognition",
"type": "manual",
"createdAt": "2026-02-10T08:15:42.731Z",
"project": {
"id": "e7b21c84-3f09-4a6d-815e-d9c4f0a72b53",
"name": "Platform Migration",
"client": {
"id": "91c4e2b7-3f08-4d5a-a6e1-b8d0f7c23e59",
"name": "Initech"
}
}
}{
"status": 400,
"message": "Parameter 'id' is not a valid UUID."
}{
"status": 404,
"message": "Object with id 'b4e91c27-3f08-4d6a-a5e2-c7d0f8b13a96' not found."
}Project Revenue Recognition Entries
Get a project revenue recognition entry
GET
/
project-revenue-recognition-entries
/
{id}
Get a project revenue recognition entry
curl --request GET \
--url https://www.ruddr.io/api/workspace/project-revenue-recognition-entries/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.ruddr.io/api/workspace/project-revenue-recognition-entries/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.ruddr.io/api/workspace/project-revenue-recognition-entries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.ruddr.io/api/workspace/project-revenue-recognition-entries/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://www.ruddr.io/api/workspace/project-revenue-recognition-entries/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://www.ruddr.io/api/workspace/project-revenue-recognition-entries/{id}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.ruddr.io/api/workspace/project-revenue-recognition-entries/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "a1d83f29-7c04-4b6e-95e2-f8b0c3d17a54",
"date": "2026-02-10",
"amount": 12500,
"notes": "Q1 milestone recognition",
"type": "manual",
"createdAt": "2026-02-10T08:15:42.731Z",
"project": {
"id": "e7b21c84-3f09-4a6d-815e-d9c4f0a72b53",
"name": "Platform Migration",
"client": {
"id": "91c4e2b7-3f08-4d5a-a6e1-b8d0f7c23e59",
"name": "Initech"
}
}
}{
"status": 400,
"message": "Parameter 'id' is not a valid UUID."
}{
"status": 404,
"message": "Object with id 'b4e91c27-3f08-4d6a-a5e2-c7d0f8b13a96' not found."
}Scheduled recognition of revenue for fixed-fee projects. This is only available for projects that have a billing type of “fixed” or “fixed_recurring” and where the revenue recognition method is set to “manual”, “automated_hours”, “automated_tm_basis”, or “automated_services_cost”.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The project revenue recognition entry uuid.
Response
200
The unique identifier for the object.
The date of the entry. Will be in the form YYYY-MM-DD.
The total amount of the entry.
Any notes about the entry.
How the entry was created. automated when Ruddr generated it, manual when a member or the API added it. Updating the amount or date of an automated entry makes it manual.
Available options:
automated, manual The timestamp when the object was created.
The project this entry belongs to.
Show child attributes
Show child attributes